From edcfa4ef7b9516b9ffd3f9a853aa389db8e8877e Mon Sep 17 00:00:00 2001
Message-Id: <edcfa4ef7b9516b9ffd3f9a853aa389db8e8877e.1735082762.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Tue, 24 Dec 2024 23:25:43 +0000
Subject: [PATCH] gnu: Add julia-bittwiddlingconveniencefunctions.

* gnu/packages/julia-xyz.scm (julia-bittwiddlingconveniencefunctions): New variable.

Change-Id: I822c61c780ce5035346f3f307a6e9dc1be8fd013
---
 gnu/packages/julia-xyz.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 4b778812ca..ee18ac7b42 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -698,6 +698,31 @@ (define-public julia-biosymbols
 and amino acids that are used ny otherBioJulia packages.")
     (license license:expat)))
 
+(define-public julia-bittwiddlingconveniencefunctions
+  (package
+    (name "julia-bittwiddlingconveniencefunctions")
+    (version "0.1.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url
+              "https://github.com/JuliaSIMD/BitTwiddlingConvenienceFunctions.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0qn36wpj7bk4ysizhx0a13ajajjzlc6cxsqhhx9w99d5wciplx4a"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-static))
+    (home-page
+     "https://github.com/JuliaSIMD/BitTwiddlingConvenienceFunctions.jl")
+    (synopsis "Bit twiddling convenience functions")
+    (description
+     "This package provides bit twiddling convenience functions in Julia.
+These are useful for going to the next or previous mask size or for
+calculating corresponding shifts.")
+    (license license:expat)))
+
 (define-public julia-blockarrays
   (package
     (name "julia-blockarrays")

base-commit: eb6d784852dfcade2f5052c4d6fc1bd469f3cdb6
-- 
2.34.1

